package com.goldenwater.slaj.ttsa.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.goldenwater.slaj.ttsa.mapper.BisTtsaCertMapper;
import com.goldenwater.slaj.ttsa.domain.BisTtsaCert;
import com.goldenwater.slaj.ttsa.service.IBisTtsaCertService;

@Service
public class BisTtsaCertServiceImpl implements IBisTtsaCertService {
    @Autowired
    private BisTtsaCertMapper bisTtsaCertMapper;

    @Override
    public BisTtsaCert selectBisTtsaCertByGuid(String guid) {
        return bisTtsaCertMapper.selectBisTtsaCertByGuid(guid);
    }

    @Override
    public List<BisTtsaCert> selectBisTtsaCertList(BisTtsaCert bisTtsaCert) {
        return bisTtsaCertMapper.selectBisTtsaCertList(bisTtsaCert);
    }

    @Override
    public int insertBisTtsaCert(BisTtsaCert bisTtsaCert) {
        return bisTtsaCertMapper.insertBisTtsaCert(bisTtsaCert);
    }

    @Override
    public int updateBisTtsaCert(BisTtsaCert bisTtsaCert) {
        return bisTtsaCertMapper.updateBisTtsaCert(bisTtsaCert);
    }

    @Override
    public int deleteBisTtsaCertByGuid(String guid) {
        return bisTtsaCertMapper.deleteBisTtsaCertByGuid(guid);
    }

    @Override
    public int deleteBisTtsaCertByGuids(String[] guids) {
        return bisTtsaCertMapper.deleteBisTtsaCertByGuids(guids);
    }
}
